Page 1 of 1

Fatal error

Posted: 18 Aug 2017, 19:14
by hackie
Like always there is a lot of bullshit going on :

Donwloaded the latest server : viewtopic.php?p=289791#p289791 ( Maniaplanet 4 Server 2017-08-04

But log says : [2017/08/18 20:10:53] Starting ManiaPlanet date=2017-08-02_17_02 Svn=76289 GameVersion=3.3.0...



Uaseco log says : [UASECO Fatal Error] Obsolete server build '2017-08-02_17_02' - must be at least '2017-08-04_11_00'! on line 565 in file F:\MP4-servers\MP4-DerrMaps\UASECO\uaseco.php

Re: Fatal error

Posted: 18 Aug 2017, 19:27
by fiendy
Are you sure you have installed it properly, as log is suggesting you have the 2017-08-02 version, not 2017-08-04.
I'd try a re-install ;)

I've been using 08-04 dedicated server for a week or so now.

Re: Fatal error

Posted: 18 Aug 2017, 19:38
by hackie
I downloaded the newest : 2017-08-04

When I start it it says : Starting ManiaPlanet date=2017-08-02_17_02



I always overwrite the server files , maybe the system screwed up.
I try again.


Thanks anyway.

Re: Fatal error

Posted: 18 Aug 2017, 19:48
by hackie
total clean install : [2017/08/18 20:46:41] Starting ManiaPlanet date=2017-08-02_17_02 Svn=76289 GameVersion=3.3.0...




Could you not host the files somewhere , so I can download files wich are working ?

Re: Fatal error

Posted: 18 Aug 2017, 20:54
by TMarc
the Windows exe has 2.8.2017 and the linux exe has 4.8.2017 as date.

Perhaps you should implement a little bit weaker check in uaseco, e.g. not take the version of the zip, but of the exe - and the zip should be same or newer (in case only some script files or title packs have changed)?

Re: Fatal error

Posted: 19 Aug 2017, 12:46
by undef.de
@hackie
EDIT: Use this updated uaseco.php.

@TMarc
normally the linux exe is older then the windows... normally... :clap: nadeo.

Anyway... as this happend the second time, I'll add a check to linux/windows exe now.

Re: Fatal error

Posted: 19 Aug 2017, 13:45
by TMarc
Great, at least you do know what you are doing :thx: :thumbsup:

Re: Fatal error

Posted: 04 Mar 2018, 19:31
by ziberty
Hello,
I answer to this topic now because I get the same error with the latest version of UASECO:

Code: Select all

[UASECO Fatal Error] Obsolete server build '2017-05-09_16_30' - must be at least '2017-08-02_17_02'! on line 568 in file C:\Users\Hugo\Desktop\ServeurTrackmania\UASECO\uaseco.php
I don't know what to do...

Re: Fatal error

Posted: 04 Mar 2018, 19:37
by TMarc
ziberty wrote:
04 Mar 2018, 19:31
Hello,
I answer to this topic now because I get the same error with the latest version of UASECO:

Code: Select all

[UASECO Fatal Error] Obsolete server build '2017-05-09_16_30' - must be at least '2017-08-02_17_02'! on line 568 in file C:\Users\Hugo\Desktop\ServeurTrackmania\UASECO\uaseco.php
I don't know what to do...
Did you install the newest dedicated server? viewtopic.php?f=261&t=12494

Re: Fatal error

Posted: 04 Mar 2018, 19:42
by ziberty
Oh no I didn't, mine is from 2017, thanks a lot! :thumbsup: